%define upstream_name    Sys-Info
%define upstream_version 0.7811

%{?perl_default_filter}
%global __requires_exclude perl\\(Sys::Info::Driver::OSX\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
License:    GPL+ or Artistic
Summary:    Fetch information from the host system
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SYS/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Sys::Info::Base) >= 0.780.0
BuildRequires: perl(Sys::Info::Driver::Linux) >= 0.780.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Sys::Info) >= 0.200.0
BuildRequires: perl-devel
Requires:   perl-Sys-Info-Driver-Linux
Requires:   perl-Sys-Info-Base
%description
Perl for fetch system information from the host.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl -I. Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.781.100-3.mga9
+ Revision: 1811202
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.781.100-2.mga8
+ Revision: 1521532
- Mageia 8 Mass Rebuild

* Fri Dec 28 2018 tv <tv> 0.781.100-1.mga7
+ Revision: 1345398
- update to 0.7811

* Thu Sep 20 2018 umeabot <umeabot> 0.780.0-7.mga7
+ Revision: 1286223
- Mageia 7 Mass Rebuild

* Thu Oct 12 2017 tv <tv> 0.780.0-6.mga7
+ Revision: 1171199
- fix build with perl-5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.780.0-5.mga6
+ Revision: 1033593
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.780.0-4.mga6
+ Revision: 971585
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.780.0-3.mga6
+ Revision: 892095
- make it noarch thus fixing empty debuginfo

* Sat Jul 04 2015 sander85 <sander85> 0.780.0-2.mga6
+ Revision: 850084
- Fix requires

* Sat Jul 04 2015 sander85 <sander85> 0.780.0-1.mga6
+ Revision: 850079
- update to 0.78
+ jquelin <jquelin>
- mageia rebuild
- imported package perl-Sys-Info


* Thu Jan 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.730.0-1mdv2010.1
+ Revision: 491169
- update to 0.73

* Sat Jan 02 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.720.0-1mdv2010.1
+ Revision: 484930
- import perl-Sys-Info


